
package de.ivu.elect.presentation.ergebnis.exchange;

import de.ivu.elect.business.security.UseCasePermission;

public class NlWasModelP2aBulkExportDescription extends AbstractNlWasErgebnisArtefaktNachGebietErgebniseingabestatusBulkExportDescription {

  private static final long serialVersionUID = 1L;

  public static final String FILE_FORMAT_NAME = "file.format.ergebnisdokument.export.modelp2a";

  private static final String EXPORT_NAME = FILE_FORMAT_NAME;

  public NlWasModelP2aBulkExportDescription() {
    super();
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.GEBIET_ERGEBNISEINGABESTATUS_SETZEN_ABGESCHLOSSEN; // ELECTVAPP-2052, bei Änderung auch die Annotation am Views anpassen!
  }

  @Override
  public String getDateiExportName() {
    return EXPORT_NAME;
  }

  @Override
  public String getExportSearchViewId() {
    return NlWasModelP2aBulkExportView.VIEW_ID;
  }
}
